# Class OpenOffer

#### Hierarchy

- unknown
  - OpenOffer

- Defined in src/protobuf/pb_pb.d.ts:5961
- Defined in src/protobuf/pb_pb.d.ts:6010

#####
Index

### Constructors

constructor

### Methods

addScheduledTxHashes
clearOffer
clearScheduledTxHashesList
getChallenge
getOffer
getReserveExactAmount
getReserveTxHash
getReserveTxHex
getReserveTxKey
getScheduledAmount
getScheduledTxHashesList
getSplitOutputTxFee
getSplitOutputTxHash
getState
getTriggerPrice
hasOffer
serializeBinary
setChallenge
setOffer
setReserveExactAmount
setReserveTxHash
setReserveTxHex
setReserveTxKey
setScheduledAmount
setScheduledTxHashesList
setSplitOutputTxFee
setSplitOutputTxHash
setState
setTriggerPrice
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new OpenOffer(): OpenOffer

- #### Returns OpenOffer

  Inherited from jspb.Message.constructor

## Methods

### addScheduledTxHashes

- addScheduledTxHashes(value: string, index?: number): OpenOffer

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns OpenOffer

  - Defined in src/protobuf/pb_pb.d.ts:5985

### clearOffer

- clearOffer(): OpenOffer

- #### Returns OpenOffer

  - Defined in src/protobuf/pb_pb.d.ts:5965

### clearScheduledTxHashesList

- clearScheduledTxHashesList(): OpenOffer

- #### Returns OpenOffer

  - Defined in src/protobuf/pb_pb.d.ts:5984

### getChallenge

- getChallenge(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5999

### getOffer

- getOffer(): undefined | Offer

- #### Returns undefined | Offer

  - Defined in src/protobuf/pb_pb.d.ts:5962

### getReserveExactAmount

- getReserveExactAmount(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:5973

### getReserveTxHash

- getReserveTxHash(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5990

### getReserveTxHex

- getReserveTxHex(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5993

### getReserveTxKey

- getReserveTxKey(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5996

### getScheduledAmount

- getScheduledAmount(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5987

### getScheduledTxHashesList

- getScheduledTxHashesList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:5982

### getSplitOutputTxFee

- getSplitOutputTxFee(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:5979

### getSplitOutputTxHash

- getSplitOutputTxHash(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5976

### getState

- getState(): OpenOffer.State

- #### Returns OpenOffer.State

  - Defined in src/protobuf/pb_pb.d.ts:5967

### getTriggerPrice

- getTriggerPrice(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:5970

### hasOffer

- hasOffer(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:5964

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6002

### setChallenge

- setChallenge(value: string): OpenOffer

- #### Parameters

  - ##### value: string

  #### Returns OpenOffer

  - Defined in src/protobuf/pb_pb.d.ts:6000

### setOffer

- setOffer(value?: Offer): OpenOffer

- #### Parameters

  - ##### `Optional` value: Offer

  #### Returns OpenOffer

  - Defined in src/protobuf/pb_pb.d.ts:5963

### setReserveExactAmount

- setReserveExactAmount(value: boolean): OpenOffer

- #### Parameters

  - ##### value: boolean

  #### Returns OpenOffer

  - Defined in src/protobuf/pb_pb.d.ts:5974

### setReserveTxHash

- setReserveTxHash(value: string): OpenOffer

- #### Parameters

  - ##### value: string

  #### Returns OpenOffer

  - Defined in src/protobuf/pb_pb.d.ts:5991

### setReserveTxHex

- setReserveTxHex(value: string): OpenOffer

- #### Parameters

  - ##### value: string

  #### Returns OpenOffer

  - Defined in src/protobuf/pb_pb.d.ts:5994

### setReserveTxKey

- setReserveTxKey(value: string): OpenOffer

- #### Parameters

  - ##### value: string

  #### Returns OpenOffer

  - Defined in src/protobuf/pb_pb.d.ts:5997

### setScheduledAmount

- setScheduledAmount(value: string): OpenOffer

- #### Parameters

  - ##### value: string

  #### Returns OpenOffer

  - Defined in src/protobuf/pb_pb.d.ts:5988

### setScheduledTxHashesList

- setScheduledTxHashesList(value: string[]): OpenOffer

- #### Parameters

  - ##### value: string[]

  #### Returns OpenOffer

  - Defined in src/protobuf/pb_pb.d.ts:5983

### setSplitOutputTxFee

- setSplitOutputTxFee(value: number): OpenOffer

- #### Parameters

  - ##### value: number

  #### Returns OpenOffer

  - Defined in src/protobuf/pb_pb.d.ts:5980

### setSplitOutputTxHash

- setSplitOutputTxHash(value: string): OpenOffer

- #### Parameters

  - ##### value: string

  #### Returns OpenOffer

  - Defined in src/protobuf/pb_pb.d.ts:5977

### setState

- setState(value: OpenOffer.State): OpenOffer

- #### Parameters

  - ##### value: OpenOffer.State

  #### Returns OpenOffer

  - Defined in src/protobuf/pb_pb.d.ts:5968

### setTriggerPrice

- setTriggerPrice(value: number): OpenOffer

- #### Parameters

  - ##### value: number

  #### Returns OpenOffer

  - Defined in src/protobuf/pb_pb.d.ts:5971

### toObject

- toObject(includeInstance?: boolean): OpenOffer.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns OpenOffer.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:6003

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): OpenOffer

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns OpenOffer

  - Defined in src/protobuf/pb_pb.d.ts:6006

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: OpenOffer, reader: BinaryReader): OpenOffer

- #### Parameters

  - ##### message: OpenOffer

  - ##### reader: BinaryReader

  #### Returns OpenOffer

  - Defined in src/protobuf/pb_pb.d.ts:6007

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: OpenOffer, writer: BinaryWriter): void

- #### Parameters

  - ##### message: OpenOffer

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:6005

### `Static` toObject

- toObject(includeInstance: boolean, msg: OpenOffer): OpenOffer.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: OpenOffer

  #### Returns OpenOffer.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:6004

Generated using TypeDoc